<style>
  .v-text-field input {
    font-size: 2.5em;
  }
</style>

<template>
    <v-card >
        <v-toolbar dark color="success">
            <v-btn icon dark @click.native="close">
                <v-icon>mdi-close</v-icon>
            </v-btn>
            <v-toolbar-title>
                Donation
            </v-toolbar-title>
        </v-toolbar>

        <v-container class="my-4">
            <v-card class="mx-auto" outlined color="#F8F8F8">
                <v-list-item class="py-1">
                    <v-list-item-content>
                        <h4>{{ campaign.title }}</h4>
                        <p class="my-5">Setiap donasimu memberikan harapan baru bagi mereka</p>
                    </v-list-item-content>

                    <v-list-item-avatar tile size="105">
                        <v-img :src="campaign.image" />
                    </v-list-item-avatar>        
                 </v-list-item>
            </v-card>     
        </v-container>

        <v-container class="my-4">
            <v-card class="mx-auto" outlined color="white">
                <v-list-item >
                    <v-list-item-content>
                        <h5>Nominal Donasi</h5>                    
                    </v-list-item-content>
                </v-list-item>
                <v-form>
                    <v-container>
                        <v-row>
                            <v-col cols="12">
                                <v-text-field ref="input" v-currency v-model="donation_amount_input" outlined clearable label="Nominal">                               
                                </v-text-field>
                            </v-col>     
                            <v-col cols="12">
                                <v-btn block large color="yellow" @click="save">
                                    Simpan
                                </v-btn>
                            </v-col>
                            <v-col cols="12">
                                <v-btn block large color="primary" @click="pay">
                                    Lanjut Pembayaran
                                </v-btn>
                            </v-col>              
                        </v-row>
                                      
                              
                    </v-container>
                </v-form>           
            </v-card>  
        </v-container>
  </v-card>
</template>

<script>
import { mapActions, mapGetters } from 'vuex'
import { getValue } from "vue-currency-input";

export default {
    data() {
        return {
            donation_amount_input : '',
            donation_amount : null
        }
    },
    watch: {
        donation_amount_input() {
            this.donation_amount = getValue(this.$refs.input);
        }
    },
    computed: {
        ...mapGetters({
            'campaign' : 'dialog/params',
        }),
         options() {
            return {
                distractionFree: false,
               
            };
        },
      
        
    },
    methods: {
        ...mapActions({
            'addDonation'           : 'donation/insert',
            'setAlert'              : 'alert/set',
            'setDialogComponent'    : 'dialog/setComponent',

        }),
        close() {
            this.donation_amount = null
            this.donation_amount_input = ''
            this.$emit('closed', false)
        },
        save(){   
            let donation_detail = {
                campaign : this.campaign,
                donation_amount : this.donation_amount
            } 

           this.addDonation(donation_detail)
           this.close()
           this.$router.push({ name: 'home' })
           this.setAlert({
                status : true,
                color  : 'success',
                text   : 'Donasi berhasil ditambahkan',
            })
        },
        pay(){
            this.save()

            this.setDialogComponent({'component' : 'donations'})
        }
    },
  
}

</script>

